# -*- coding: utf-8 -*-
from __future__ import unicode_literals


class LdapRouter(object):

    def route_for_task(self, task, args=None, kwargs=None):
        if 'ldap' in task:
            return {'exchange': 'ldap',
                    'exchange_type': 'direct',
                    'queue': 'ldap'}
        return None


class FileRouter(object):

    def route_for_task(self, task, args=None, kwargs=None):
        if 'file' in task:
            return {'exchange': 'file',
                    'exchange_type': 'direct',
                    'queue': 'file'}
        return None


